×

Discussion Board

Results 1 to 7 of 7
  1. #1
    Registered User
    Join Date
    Mar 2010
    Posts
    27

    MIDP version a J2ME class support

    Hi,

    I'm writing a API project which will be imported by other developer.

    This project is CLDC-1.1 and MIDP-2.0.
    How do I know which MIDP version is compatible with my API project? How do i know that?
    Are there any other compatibility or versioning issues?

    Thanks.

  2. #2
    Nokia Developer Expert
    Join Date
    Aug 2007
    Posts
    1,595

    Re: MIDP version a J2ME class support

    Hello playplay1978,

    are you targetting some specific devices with Java Runtime for running Java ME applications?

    Nokia devices support CLDC 1.1 and MIDP 2.0 setup.

    Furthermore, latest Nokia devices support CLDC 1.1 and MIDP 2.1 setup, and these are compatibile with the CLDC 1.1 and MIDP 2.0 (since MIDP 2.0 is the baseline for MIDP 2.1).

    Regards,
    r2j7
    [URL="http://library.forum.nokia.com/java"][B] >>> Java Developer's Library <<<[/B][/URL]
    [URL="https://www.developer.nokia.com/Resources/Support/Technical_support.xhtml"] [B]>>> Technical Support for Java ME development <<<[/B][/URL]
    [URL="https://publish.ovi.com/info/"][B]>>> Nokia Publish: reach millions of Nokia users worldwide through Nokia Store <<<[/B][/URL]

  3. #3
    Registered User
    Join Date
    Mar 2010
    Posts
    27

    Re: MIDP version a J2ME class support

    Hi.

    At the moment, we are not targetting some specific devices with Java Runtime for running Java ME applications.

    Well, based on what you explained, my sdk (CLDC-1.1 and MIDP-2.0.) can support up to MIDP-2.0 and app written with MIDP-2.1 can't use my SDK right?

    Thanks.

  4. #4
    Nokia Developer Expert
    Join Date
    Aug 2007
    Posts
    1,595

    Re: MIDP version a J2ME class support

    Well if one builds an application first with MIDP 2.1 and then tries to run it on a MIDP 2.0 based SDK emulator then in some SDK emulators there will be error prompts (like 'Invalid application' in Series 40).

    Which SDK are you using?

    Regards,
    r2j7
    [URL="http://library.forum.nokia.com/java"][B] >>> Java Developer's Library <<<[/B][/URL]
    [URL="https://www.developer.nokia.com/Resources/Support/Technical_support.xhtml"] [B]>>> Technical Support for Java ME development <<<[/B][/URL]
    [URL="https://publish.ovi.com/info/"][B]>>> Nokia Publish: reach millions of Nokia users worldwide through Nokia Store <<<[/B][/URL]

  5. #5
    Super Contributor
    Join Date
    Apr 2007
    Posts
    2,708

    Re: MIDP version a J2ME class support

    "up to" isn't completely correct, simply because the combo CLDC 1.1 and MIDP 2.0 offers several features that the older platforms (CLDC 1.0 and MIDP 1.0) don't offer...
    So the former platform is backwards compatible with the latter but the opposite isn't true...
    For example CLDC 1.1 introuced floating point arithmetic, whilst only integer arithmetic was applicable on the CLDC 1.0 platform...
    So take into account that code written for the older platfrom should run on the newer one, but if you write something for the newer one and you want to target older devices as well you might run into some trouble...

  6. #6
    Registered User
    Join Date
    Mar 2010
    Posts
    27

    Re: MIDP version a J2ME class support

    Hi r2j7,

    The SDK is actually developed by me. Probably, i used the wrong term.

    Hi Tiger79,
    Yes. Thanks a lot. It should be from MIDP 2.0 and onwards.

  7. #7
    Super Contributor
    Join Date
    Apr 2007
    Posts
    2,708

    Re: MIDP version a J2ME class support

    oki well then you can target MIDP 2.0 and CLDC1.1 and it also should run on MIDP 2.1 devices...
    Unless you actually need functionality from the MIDP 2.1 platform, which might mean that that specific extra functionality won't be running on MIDP 2.0 devices...

Similar Threads

  1. Porting C Open source.
    By debasish1234 in forum Open C/C++
    Replies: 7
    Last Post: 2008-01-28, 11:06
  2. How to set number for forwarding??
    By silviuccia in forum Symbian
    Replies: 6
    Last Post: 2007-01-09, 10:16
  3. MIDP 2.0 support SimpleDateFormat class??
    By ash_putra in forum Mobile Java Tools & SDKs
    Replies: 0
    Last Post: 2004-05-25, 11:13
  4. Series 60 Concept Emulator (SDK Beta 0.2 Linux) not working
    By mattbee in forum Mobile Java Tools & SDKs
    Replies: 1
    Last Post: 2003-06-10, 11:43
  5. nokia 7210 modem via IR doesn't work !
    By oussamaaiadi in forum PC Suite API and PC Connectivity SDK
    Replies: 1
    Last Post: 2003-03-06, 10:46

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×